/*
 *  rt_printk.c, hacked from linux/kernel/printk.c
 *
 * Modified for RT support, David Schleef
 */

#ifndef __RT_PRINTK_H
#define __RT_PRINTK_H

#include <comedi_module.h>

#define HAVE_RT_PRINTK

#ifdef CONFIG_RTL

int rt_printk(const char *fmt, ...);

void rt_printk_cleanup(void);
int rt_printk_init(void);

#else

#define rt_printk(fmt,args...)	printk(fmt,## args)
#define rt_printk_cleanup()
#define rt_printk_init()

#endif


#endif

